package com.ruoyi.system.mapper.other;

import com.ruoyi.system.domain.other.BsCommon;
import com.ruoyi.system.domain.other.BsCommonExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BsCommonMapper {

    long countByExample(BsCommonExample example);

    int deleteByExample(BsCommonExample example);

    int deleteByPrimaryKey(String id);

    int insert(BsCommon record);

    int insertSelective(BsCommon record);

    BsCommon selectByPrimaryKey(String id);

    List<BsCommon> selectByExample(BsCommonExample example);

    int updateByExampleSelective(@Param("record") BsCommon record, @Param("example") BsCommonExample example);

    int updateByPrimaryKeySelective(BsCommon record);

    int updateByExample(@Param("record") BsCommon record, @Param("example") BsCommonExample example);

    List<BsCommon> getWgdxList(String code);
}